<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:15 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ASTHelper (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ASTHelper (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ASTHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html" target="_top">Frames</a></li>
<li><a href="ASTHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</div>
<h2 title="Class ASTHelper" class="title">Class ASTHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ASTHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">ASTHelper</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">This class helps to construct new nodes.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Júlio Vilmar Gesser</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#BOOLEAN_TYPE">BOOLEAN_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#BYTE_TYPE">BYTE_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#CHAR_TYPE">CHAR_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#DOUBLE_TYPE">DOUBLE_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#FLOAT_TYPE">FLOAT_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#INT_TYPE">INT_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#LONG_TYPE">LONG_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#SHORT_TYPE">SHORT_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/VoidType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">VoidType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#VOID_TYPE">VOID_TYPE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#addArgument-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.MethodCallExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression-">addArgument</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MethodCallExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">MethodCallExpr</a>&nbsp;call,
           <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Expression</a>&nbsp;arg)</code>
<div class="block">Adds the given argument to the method call.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#addMember-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.TypeDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.BodyDeclaration-">addMember</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">TypeDeclaration</a>&nbsp;type,
         <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">BodyDeclaration</a>&nbsp;decl)</code>
<div class="block">Adds the given declaration to the specified type.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#addParameter-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.MethodDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.Parameter-">addParameter</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">MethodDeclaration</a>&nbsp;method,
            <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&nbsp;parameter)</code>
<div class="block">Adds the given parameter to the method.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#addStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression-">addStmt</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;block,
       <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Expression</a>&nbsp;expr)</code>
<div class="block">Adds the given expression to the specified block.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#addStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.Statement-">addStmt</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;block,
       <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/Statement.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">Statement</a>&nbsp;stmt)</code>
<div class="block">Adds the given statement to the specified block.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#addTypeDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.CompilationUnit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.TypeDeclaration-">addTypeDeclaration</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/CompilationUnit.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">CompilationUnit</a>&nbsp;cu,
                  <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">TypeDeclaration</a>&nbsp;type)</code>
<div class="block">Adds the given type declaration to the compilation unit.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">FieldDeclaration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createFieldDeclaration-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-">createFieldDeclaration</a></span>(int&nbsp;modifiers,
                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Creates a <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>FieldDeclaration</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">FieldDeclaration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createFieldDeclaration-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.VariableDeclarator-">createFieldDeclaration</a></span>(int&nbsp;modifiers,
                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/VariableDeclarator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">VariableDeclarator</a>&nbsp;variable)</code>
<div class="block">Creates a <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>FieldDeclaration</code></a>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createNameExpr-java.lang.String-">createNameExpr</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</code>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>NameExpr</code></a> from a qualified name.<br>
 The qualified name can contains "." (dot) characters.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createParameter-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-">createParameter</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
               <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>Parameter</code></a>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createReferenceType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.PrimitiveType-int-">createReferenceType</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a>&nbsp;type,
                   int&nbsp;arrayCount)</code>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a> for the given primitive type.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createReferenceType-java.lang.String-int-">createReferenceType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                   int&nbsp;arrayCount)</code>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a> for a class or interface.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/VariableDeclarationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">VariableDeclarationExpr</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createVariableDeclarationExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-">createVariableDeclarationExpr</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                             <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Creates a <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/VariableDeclarationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>VariableDeclarationExpr</code></a>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static &lt;N extends <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a>&gt;<br><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;N&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#getNodesByType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.Node-java.lang.Class-">getNodesByType</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a>&nbsp;container,
              <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;N&gt;&nbsp;clazz)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="BYTE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTE_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> BYTE_TYPE</pre>
</li>
</ul>
<a name="SHORT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHORT_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> SHORT_TYPE</pre>
</li>
</ul>
<a name="INT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INT_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> INT_TYPE</pre>
</li>
</ul>
<a name="LONG_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LONG_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> LONG_TYPE</pre>
</li>
</ul>
<a name="FLOAT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOAT_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> FLOAT_TYPE</pre>
</li>
</ul>
<a name="DOUBLE_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> DOUBLE_TYPE</pre>
</li>
</ul>
<a name="BOOLEAN_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOOLEAN_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> BOOLEAN_TYPE</pre>
</li>
</ul>
<a name="CHAR_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHAR_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a> CHAR_TYPE</pre>
</li>
</ul>
<a name="VOID_TYPE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VOID_TYPE</h4>
<pre>public static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/VoidType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">VoidType</a> VOID_TYPE</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createNameExpr-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNameExpr</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;createNameExpr(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</pre>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>NameExpr</code></a> from a qualified name.<br>
 The qualified name can contains "." (dot) characters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>qualifiedName</code> - qualified name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instanceof <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>NameExpr</code></a></dd>
</dl>
</li>
</ul>
<a name="createParameter-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createParameter</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&nbsp;createParameter(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>Parameter</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type of the parameter</dd>
<dd><code>name</code> - name of the parameter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>Parameter</code></a></dd>
</dl>
</li>
</ul>
<a name="createFieldDeclaration-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.VariableDeclarator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFieldDeclaration</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">FieldDeclaration</a>&nbsp;createFieldDeclaration(int&nbsp;modifiers,
                                                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                                                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/VariableDeclarator.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">VariableDeclarator</a>&nbsp;variable)</pre>
<div class="block">Creates a <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>FieldDeclaration</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>modifiers</code> - modifiers</dd>
<dd><code>type</code> - type</dd>
<dd><code>variable</code> - variable declarator</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>FieldDeclaration</code></a></dd>
</dl>
</li>
</ul>
<a name="createFieldDeclaration-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFieldDeclaration</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">FieldDeclaration</a>&nbsp;createFieldDeclaration(int&nbsp;modifiers,
                                                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                                                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Creates a <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>FieldDeclaration</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>modifiers</code> - modifiers</dd>
<dd><code>type</code> - type</dd>
<dd><code>name</code> - field name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body"><code>FieldDeclaration</code></a></dd>
</dl>
</li>
</ul>
<a name="createVariableDeclarationExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.Type-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVariableDeclarationExpr</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/VariableDeclarationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">VariableDeclarationExpr</a>&nbsp;createVariableDeclarationExpr(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/Type.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">Type</a>&nbsp;type,
                                                                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Creates a <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/VariableDeclarationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>VariableDeclarationExpr</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type</dd>
<dd><code>name</code> - name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/VariableDeclarationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>VariableDeclarationExpr</code></a></dd>
</dl>
</li>
</ul>
<a name="addParameter-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.MethodDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.Parameter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addParameter</h4>
<pre>public static&nbsp;void&nbsp;addParameter(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">MethodDeclaration</a>&nbsp;method,
                                <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&nbsp;parameter)</pre>
<div class="block">Adds the given parameter to the method. The list of parameters will be
 initialized if it is <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>method</code> - method</dd>
<dd><code>parameter</code> - parameter</dd>
</dl>
</li>
</ul>
<a name="addArgument-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.MethodCallExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addArgument</h4>
<pre>public static&nbsp;void&nbsp;addArgument(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MethodCallExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">MethodCallExpr</a>&nbsp;call,
                               <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Expression</a>&nbsp;arg)</pre>
<div class="block">Adds the given argument to the method call. The list of arguments will be
 initialized if it is <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>call</code> - method call</dd>
<dd><code>arg</code> - argument value</dd>
</dl>
</li>
</ul>
<a name="addTypeDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.CompilationUnit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.TypeDeclaration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTypeDeclaration</h4>
<pre>public static&nbsp;void&nbsp;addTypeDeclaration(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/CompilationUnit.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">CompilationUnit</a>&nbsp;cu,
                                      <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">TypeDeclaration</a>&nbsp;type)</pre>
<div class="block">Adds the given type declaration to the compilation unit. The list of
 types will be initialized if it is <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cu</code> - compilation unit</dd>
<dd><code>type</code> - type declaration</dd>
</dl>
</li>
</ul>
<a name="createReferenceType-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReferenceType</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;createReferenceType(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                int&nbsp;arrayCount)</pre>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a> for a class or interface.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - name of the class or interface</dd>
<dd><code>arrayCount</code> - number of arrays or <code>0</code> if is not a array.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instanceof <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a></dd>
</dl>
</li>
</ul>
<a name="createReferenceType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.PrimitiveType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createReferenceType</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">ReferenceType</a>&nbsp;createReferenceType(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type">PrimitiveType</a>&nbsp;type,
                                                int&nbsp;arrayCount)</pre>
<div class="block">Creates a new <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a> for the given primitive type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - primitive type</dd>
<dd><code>arrayCount</code> - number of arrays or <code>0</code> if is not a array.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instanceof <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type"><code>ReferenceType</code></a></dd>
</dl>
</li>
</ul>
<a name="addStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.Statement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStmt</h4>
<pre>public static&nbsp;void&nbsp;addStmt(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;block,
                           <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/Statement.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">Statement</a>&nbsp;stmt)</pre>
<div class="block">Adds the given statement to the specified block. The list of statements
 will be initialized if it is <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>block</code> - to have expression added to</dd>
<dd><code>stmt</code> - to be added</dd>
</dl>
</li>
</ul>
<a name="addStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStmt</h4>
<pre>public static&nbsp;void&nbsp;addStmt(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;block,
                           <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Expression</a>&nbsp;expr)</pre>
<div class="block">Adds the given expression to the specified block. The list of statements
 will be initialized if it is <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>block</code> - to have expression added to</dd>
<dd><code>expr</code> - to be added</dd>
</dl>
</li>
</ul>
<a name="addMember-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.TypeDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.BodyDeclaration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMember</h4>
<pre>public static&nbsp;void&nbsp;addMember(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">TypeDeclaration</a>&nbsp;type,
                             <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/BodyDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">BodyDeclaration</a>&nbsp;decl)</pre>
<div class="block">Adds the given declaration to the specified type. The list of members
 will be initialized if it is <code>null</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - type declaration</dd>
<dd><code>decl</code> - member declaration</dd>
</dl>
</li>
</ul>
<a name="getNodesByType-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.Node-java.lang.Class-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNodesByType</h4>
<pre>public static&nbsp;&lt;N extends <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a>&gt;&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;N&gt;&nbsp;getNodesByType(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a>&nbsp;container,
                                                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;N&gt;&nbsp;clazz)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ASTHelper.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTParserConstants.html" title="interface in org.eclipse.papyrus.designer.languages.java.reverse.javaparser"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html" target="_top">Frames</a></li>
<li><a href="ASTHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
